.modal-section .container {
  text-align: center;
  max-width: 400px;
  padding: 20px;
  margin: auto;
}

.modal-section .logo {
  margin-bottom: 20px;
}

.modal-section .logo img {
  width: 50px;
}

.modal-section h1 {
  font-size: 24px;
  margin: 0;
  color: var(--secondary-darker);
}

.modal-section h1 span {
  color: var(--secondary-color);
}

.modal-section .form-group {
  margin: 20px 0;
}

.modal-section .form-group input,
.form-group select {
  width: 100%;
  padding: 10px;
  margin: 10px 0;
  border: 1px solid var(--secondary-dark);
  border-radius: 5px;
  color: var(--text-color);
}

.modal-section .form-group button {
  width: 100%;
  padding: 10px;
  background: var(--secondary-dark);
  border: none;
  border-radius: 5px;
  color: var(--primary-color);
  cursor: pointer;
  margin: 4px 0;
}
.prev-button {
  border: 1px solid var(--secondary-dark) !important;
  background: none !important;
  color: var(--text-color) !important;
}
.prev-button:hover {
  opacity: 0.8;
}
.modal-section .form-group .button-group {
  display: flex;
  flex-direction: column;
  gap: 10px;
  justify-content: space-between;
}

.modal-section .form-group .button-group button {
  width: 48%;
}

.modal-section .footer {
  margin-top: 20px;
  font-size: 12px;
  color: var(--secondary-darker);
}

.modal-section .footer a {
  color: var(--secondary-darker);
  text-decoration: none;
}

.modal-section .footer a:hover {
  text-decoration: underline;
}

.modal-section .updates-button {
  position: absolute;
  top: 20px;
  right: 20px;
  background: var(--secondary-dark);
  border: none;
  border-radius: 5px;
  padding: 10px 20px;
  color: var(--primary-color);
  cursor: pointer;
}

.modal-section .updates-button i {
  margin-left: 5px;
}

.modal-section .modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: var(--overlay-color);
  justify-content: center;
  align-items: center;
  animation: fadeIn 0.5s;
}

.modal-section .modal-content {
  background-color: var(--primary-color);
  margin: auto;
  padding: 20px;
  border: 1px solid var(--secondary-dark);
  width: 80%;
  max-width: 500px;
  border-radius: 10px;
  text-align: center;
  animation: slideIn 0.5s;
}

.modal-section .close {
  color: var(--secondary-darker);
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.modal-section .close:hover,
.close:focus {
  color: var(--text-color);
  text-decoration: none;
  cursor: pointer;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes slideIn {
  from {
    transform: translateY(-50px);
  }

  to {
    transform: translateY(0);
  }
}

.modal-section .progress-bar {
  width: 100%;
  background-color: var(--secondary-dark);
  border-radius: 5px;
  margin: 20px 0;
}

.modal-section .progress {
  width: 0;
  height: 10px;
  background-color: var(--secondary-color);
  border-radius: 5px;
}

.modal-section .radio-chip-group {
  display: flex;
  padding: 10px 0;
  overflow: hidden;
  flex-wrap: wrap;
  justify-content: center;
  flex-direction: row;
}

.modal-section .radio-chip {
  flex: 0 0 auto;
  background: var(--secondary-light);
  border: 1px solid var(--secondary-dark);
  border-radius: 5px;
  padding: 10px 20px;
  margin: 10px;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.modal-section .radio-chip input {
  display: none;
}

.modal-section .radio-chip label {
  margin: 0;
  color: var(--text-color);
}

.modal-section .radio-chip input:checked + label {
  font-weight: bold;
}

.modal-section .terms-group {
  display: block;
}

.modal-section .terms-group input {
  margin-right: 2px;
}

@media (max-width: 600px) {
  .modal-section .modal-content {
    width: 90%;
  }

  .modal-section .radio-chip {
    padding: 10px;
    margin: 5px;
  }
}

.modal-section .form-section {
  display: none;
}

.modal-section .form-section.active {
  display: block;
}
